curl --request POST \
--url 'https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_lkf2st302ap89utw5k&include_errors=true' \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{"input": [{"url": "https://www.tiktok.com/@mrbeast/video/7553300000000000000"}]}'[
{
"post_url": "https://www.tiktok.com/@examplecreator/video/7553300000000000000",
"post_id": "7553300000000000000",
"post_date_created": "2025-01-15T14:30:00.000Z",
"date_created": "2025-01-15T16:45:00.000Z",
"comment_text": "This is amazing content!",
"num_likes": 1250,
"num_replies": 15,
"comment_id": "7553400000000000000",
"comment_url": "https://www.tiktok.com/@examplecreator/video/7553300000000000000?comment=7553400000000000000",
"commenter_user_name": "viewer123",
"commenter_id": "456789012",
"commenter_url": "https://www.tiktok.com/@viewer123"
}
]
TikTok
按URL收集评论
POST
/
datasets
/
v3
/
scrape
curl --request POST \
--url 'https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_lkf2st302ap89utw5k&include_errors=true' \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{"input": [{"url": "https://www.tiktok.com/@mrbeast/video/7553300000000000000"}]}'[
{
"post_url": "https://www.tiktok.com/@examplecreator/video/7553300000000000000",
"post_id": "7553300000000000000",
"post_date_created": "2025-01-15T14:30:00.000Z",
"date_created": "2025-01-15T16:45:00.000Z",
"comment_text": "This is amazing content!",
"num_likes": 1250,
"num_replies": 15,
"comment_id": "7553400000000000000",
"comment_url": "https://www.tiktok.com/@examplecreator/video/7553300000000000000?comment=7553400000000000000",
"commenter_user_name": "viewer123",
"commenter_id": "456789012",
"commenter_url": "https://www.tiktok.com/@viewer123"
}
]
查询参数
string
默认值:"gd_lkf2st302ap89utw5k"
必填
用于此请求的数据集 ID。
必须设置为
gd_lkf2st302ap89utw5k 以收集按 URL 的评论数据。boolean
默认值:false
请求完成时是否发送通知。
boolean
默认值:true
是否在响应中包含错误。
请求正文
object[]
必填
[
{
"post_url": "https://www.tiktok.com/@examplecreator/video/7553300000000000000",
"post_id": "7553300000000000000",
"post_date_created": "2025-01-15T14:30:00.000Z",
"date_created": "2025-01-15T16:45:00.000Z",
"comment_text": "This is amazing content!",
"num_likes": 1250,
"num_replies": 15,
"comment_id": "7553400000000000000",
"comment_url": "https://www.tiktok.com/@examplecreator/video/7553300000000000000?comment=7553400000000000000",
"commenter_user_name": "viewer123",
"commenter_id": "456789012",
"commenter_url": "https://www.tiktok.com/@viewer123"
}
]
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
查询参数
Must be gd_lkf2st302ap89utw5k for this dataset.
Send notifications when the request is completed.
Include errors in the response.
请求体
application/json
Array of input objects. See Request Body below for the supported fields.
Show child attributes
Show child attributes
响应
200 - application/json
OK. See response example below the parameters.
此页面对您有帮助吗?